DNF5-INSTALL(8)

NAME
dnf5-install - Install Command

SYNOPSIS

dnf5 install [options] <package-spec-NPFB>|@<group-spec>|@<environment-spec>...

DESCRIPTION

The install command in DNF5 is used for installing packages, groups or environments.

When installing packages defined in package-spec-NPFB arguments, DNF5 ensures that the packages and their dependencies are installed on the system. If the specified packages are already installed, DNF5 does not check their dependencies again and simply verifies that the packages themselves are present.

When package-spec-NPFB to specify the exact version of the package is given, DNF will install the desired version, no matter which version of the package is already installed. The former version of the package will be removed in the case of non-installonly package.

On the other hand if package-spec-NPFB specifies only a name and obsoletes are enabled, DNF also takes into account packages obsoleting that name. Note that this can lead to seemingly unexpected results if the version of an installed package is obsoleted and the installed package also has newer version available. It creates a split in upgrade-path and both ways are considered correct, the resulting package is picked simply by lexicographical order.

When installing groups defined in group-spec arguments, DNF5 ensures that the groups and their packages are installed on the system. Installs only group packages matching configured package type. See dnf5.conf(5), group_package_types <#group-package-types-options-label>.

When installing environments defined in environment-spec arguments, DNF5 ensures that the environments and their groups are installed on the system.

OPTIONS

    --allowerasing
        Allow removing of installed packages to resolve any potential dependency problems.

    --skip-broken
        Resolve any dependency problems by removing packages that are causing problems from the transaction.

    --skip-unavailable
        Allow skipping packages that are not available in repositories. All available packages will be installed.

    --allow-downgrade
        Enable downgrade of dependencies when resolving the requested operation.

    --no-allow-downgrade
        Disable downgrade of dependencies when resolving the requested operation.

    --from-repo=REPO_ID,...
        Packages (or their provides) explicitly specified on the command line will only be looked up in the specified repositories.
        These repositories are automatically enabled.
        Repository enabling and disabling still applies. Dependencies of these packages will be resolved from any enabled repository.

    --from-vendor=VENDOR,...
        List of vendors separated by commas or spaces. Globs are supported (e.g., --from-vendor='Fedora\ project, vendorA, vendorB*, vendorC').
        Packages (or their provides) explicitly specified on the command line will only be looked up from the specified vendors.
        The vendor change check is bypassed for these packages.
        The vendor is ignored or vendor change policies (if allow_vendor_change=0) will still be used for packages that satisfy dependencies.

    --downloadonly
        Download the resolved package set without executing an RPM transaction.

    --offline
        Store the transaction to be performed offline. See offline command <#offline-command-ref-label>, dnf5-offline(8).

    --store=PATH
        Store the current transaction in a directory at the specified PATH instead of running it.
        The stored transaction can be performed by the replay command <#replay-command-ref-label>, dnf5-replay(8).
        Note that repository ids in the stored transaction are mangled to @stored_transaction(repo_id) this is required
        because during replaying the stored repositories are recreated and they might collide with already present repositories
        (this doesn't apply to the special @System repository).

    --advisories=ADVISORY_NAME,...
        Include content contained in advisories with specified name.
        This is a list option.
        Expected values are advisory IDs, e.g. FEDORA-2201-123.
        Any transaction command (install, upgrade) will fail with an error if there is no existing advisory in the list; this can be bypassed by using the --skip-unavailable switch.

    --advisory-severities=ADVISORY_SEVERITY,...
        Include content contained in advisories with specified severity.
        This is a list option.
        Accepted values are: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID,...
        Include content contained in advisories that fix a ticket of the given Bugzilla ID.
        This is a list option.
        Expected values are numeric IDs, e.g. 123123.
        Any transaction command (install, upgrade) will fail with an error if there is no advisory fixing the given ticket; this can be bypassed by using the --skip-unavailable switch.

    --cves=CVE_ID,...
        Include content contained in advisories that fix a ticket of the given CVE (Common Vulnerabilities and Exposures) ID.
        This is a list option.
        Expected values are string IDs in CVE format, e.g. CVE-2201-0123.
        Any transaction command (install, upgrade) will fail with an error if there is no advisory fixing the given ticket; this can be bypassed by using the --skip-unavailable switch.

    --security
        Include content contained in security advisories.

    --bugfix
        Include content contained in bugfix advisories.

    --enhancement
        Include content contained in enhancement advisories.

    --newpackage
        Include content contained in newpackage advisories.

EXAMPLES

    dnf5 install tito
        Install the tito package.

    dnf5 install ~/Downloads/tito-0.6.21-1.fc36.noarch.rpm
        Install the local rpm file from the given location.

    dnf5 install tito-0.6.21-1.fc36
        Install the tito package in defined version.
        If the package is already installed, it will automatically try to downgrade or upgrade to the given version.

    dnf5 install --advisory=FEDORA-2022-07aa56297a \*
        Install all the packages that belong to the FEDORA-2022-07aa56297a advisory.

SEE ALSO
        dnf5-advisory(8), Advisory command <#advisory-command-ref-label>
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.